Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java	(revision 513)
@@ -20,7 +20,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.objects.Workspace;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.RestartTXM;
 import org.txm.rcp.utils.JobHandler;
@@ -37,11 +37,11 @@
 		try {
 			List<MainCorpus> input = CorpusManager.getCorpusManager().getCorpora();
 			ListSelectionDialog corporaDialogs = new ListSelectionDialog(s, input,
-					new ArrayContentProvider(), new LabelProvider(), Messages.PurgeCorpora_0);
+					new ArrayContentProvider(), new LabelProvider(), RCPMessages.PurgeCorpora_0);
 
 			corporaDialogs.open();
 			Object[] toRemove = corporaDialogs.getResult();
-			System.out.println(Messages.PurgeCorpora_1+ Arrays.toString(toRemove));
+			System.out.println(RCPMessages.PurgeCorpora_1+ Arrays.toString(toRemove));
 			if (toRemove.length == input.size()) {
 				deleteAll(s);
 			} else {
@@ -56,7 +56,7 @@
 				RestartTXM.reloadViews();
 			}
 		} catch (CqiClientException e1) {
-			System.out.println(Messages.PurgeCorpora_2+e1);
+			System.out.println(RCPMessages.PurgeCorpora_2+e1);
 			deleteAll(s);
 		}
 
@@ -66,7 +66,7 @@
 	public void deleteAll(Shell s) {
 
 		MessageBox messageBox = new MessageBox(s, SWT.ICON_QUESTION | SWT.YES | SWT.NO);
-		messageBox.setMessage(Messages.PurgeCorpora_3);
+		messageBox.setMessage(RCPMessages.PurgeCorpora_3);
 		int response = messageBox.open();
 		if (response != SWT.YES) {
 			StatusLine.setMessage(""); //$NON-NLS-1$
@@ -75,7 +75,7 @@
 		
 		String path = Toolbox.getParam(TBXPreferences.USER_TXM_HOME);
 		if (path == null || path.trim().length() == 0) {
-			System.out.println(Messages.PurgeCorpora_4);
+			System.out.println(RCPMessages.PurgeCorpora_4);
 			return;
 		}
 
@@ -86,25 +86,25 @@
 				protected IStatus run(IProgressMonitor monitor) {
 					this.runInit(monitor);
 					try {
-						System.out.println(Messages.PurgeCorpora_5);
+						System.out.println(RCPMessages.PurgeCorpora_5);
 						File corpora = new File(workspace, "corpora"); //$NON-NLS-1$
 						if (!DeleteDir.deleteDirectory(corpora)) {
-							System.out.println(Messages.PurgeCorpora_7);
+							System.out.println(RCPMessages.PurgeCorpora_7);
 						}
 						corpora.mkdir();
 
 						File registry = new File(workspace, "registry"); //$NON-NLS-1$
 						if (!DeleteDir.deleteDirectory(registry)) {
-							System.out.println(Messages.PurgeCorpora_9);
+							System.out.println(RCPMessages.PurgeCorpora_9);
 						}
 						registry.mkdir();
-						System.out.println(Messages.PurgeCorpora_10);
+						System.out.println(RCPMessages.PurgeCorpora_10);
 						File xmlfile = new File(workspace, "workspaces/default.xml"); //$NON-NLS-1$
 						this.acquireSemaphore();
 						Toolbox.workspace = Workspace.createEmptyWorkspace(xmlfile);
 						this.releaseSemaphore();
 						
-						System.out.println(Messages.PurgeCorpora_12);
+						System.out.println(RCPMessages.PurgeCorpora_12);
 
 						syncExec(new Runnable() {
 							@Override
@@ -115,7 +115,7 @@
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
 					} catch (Exception e) {
-						System.out.println(NLS.bind(Messages.RunGroovyScript_8, e));
+						System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8, e));
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					} finally {
 						monitor.done();
@@ -126,7 +126,7 @@
 			};
 			jobhandler.startJob();
 		} else {
-			System.out.println(Messages.PurgeCorpora_13+workspace.getAbsolutePath());
+			System.out.println(RCPMessages.PurgeCorpora_13+workspace.getAbsolutePath());
 		}
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java	(revision 513)
@@ -82,7 +82,7 @@
 			super.performOk();
 			((ScopedPreferenceStore) this.getPreferenceStore()).save();
 		} catch (Exception e) {
-			System.err.println(org.txm.rcp.Messages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(org.txm.rcp.RCPMessages.FAILED_TO_SAVE_PREFERENCES + e);
 		}
 		return true;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 513)
@@ -88,10 +88,10 @@
 		configurer.setShowFastViewBars(false);
 		configurer.setShowProgressIndicator(true);
 		configurer.setShowPerspectiveBar(true);
-		configurer.setTitle(Messages.Explorer_3);
+		configurer.setTitle(RCPMessages.Explorer_3);
 
 		// This is a patch to remove the Quick Search Field and spacers from the Main toolbar
-		Log.warning(Messages.ApplicationWorkbenchWindowAdvisor_0);
+		Log.warning(RCPMessages.ApplicationWorkbenchWindowAdvisor_0);
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 		if (window instanceof WorkbenchWindow) {
 			MWindow model = ((WorkbenchWindow) window).getModel();
@@ -130,7 +130,7 @@
 	 */
 	@Override
 	public void postWindowOpen() {
-		Log.warning(Messages.ApplicationWorkbenchWindowAdvisor_9);
+		Log.warning(RCPMessages.ApplicationWorkbenchWindowAdvisor_9);
 		StatusLine.set(getWindowConfigurer().getActionBarConfigurer().getStatusLineManager());
 		IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
 		page.hideActionSet("org.eclipse.ui.edit.text.actionSet.navigation"); //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 513)
@@ -34,9 +34,6 @@
 	
 	private HashMap<String, Group> groups = new HashMap<String, Group>();
 
-	private Composite parametersGroupsComposite;
-
-
 	/**
 	 * 
 	 * the parent layout must be a GridLayout
@@ -55,14 +52,6 @@
 		ToolBarManager manager = new ToolBarManager(this);
 		IMenuService menuService = (IMenuService) this.editorPart.getSite().getService(IMenuService.class);
 		menuService.populateContributionManager(manager, "toolbar:" + toolbar_local_id); //$NON-NLS-1$
-		
-		parametersGroupsComposite = new Composite(parent, SWT.NONE);
-		GridLayout gl = new GridLayout(1, true);
-		gl.marginBottom = gl.marginHeight = gl.marginWidth = gl.marginTop = 0;
-		parametersGroupsComposite.setLayout(gl);
-		if (parent.getLayout() instanceof GridLayout)
-		parametersGroupsComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
-		
 	}
 
 	@Override
@@ -110,7 +99,7 @@
 			return groups.get(groupTitle);
 		}
 		
-		final Group group = new Group(parametersGroupsComposite, SWT.NONE);
+		final Group group = new Group(editorPart.getParametersGroupsComposite(), SWT.NONE);
 		group.setText(groupTitle);
 		
 		RowLayout layout = new RowLayout();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 513)
@@ -39,7 +39,7 @@
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
 import org.txm.core.results.TXMResult;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.svg.SVGComposite;
 
 /**
@@ -166,7 +166,7 @@
 				}
 				
 			} else {
-				throw new IllegalArgumentException(Messages.SVGGraphicEditor_1);
+				throw new IllegalArgumentException(RCPMessages.SVGGraphicEditor_1);
 			}
 		}
 		svgComp.resetZoom();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 513)
@@ -103,6 +103,14 @@
 		
 		this.topToolBar = new TXMEditorToolBar(topToolBarContainer, SWT.FLAT | SWT.RIGHT, "top", this);
 		
+		parametersGroupsComposite = new Composite(parent, SWT.NONE);
+		GridLayout gl = new GridLayout(1, true);
+		gl.marginBottom = gl.marginHeight = gl.marginWidth = gl.marginTop = 0;
+		parametersGroupsComposite.setLayout(gl);
+		if (parent.getLayout() instanceof GridLayout)
+		parametersGroupsComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		
+		
 		computingParametersGroup = topToolBar.installGroup("Computing parameters", "Show/Hide command parameters", "icons/show_computing_parameters.png");
 		
 		displayArea = new Composite(parent, SWT.NONE);
@@ -438,4 +446,12 @@
 	public void setPartName(String partName) {
 		super.setPartName(partName);
 	}
+
+	/**
+	 * 
+	 * @return the composite that contains the TXMEditorToolBar parameters panels
+	 */
+	public Composite getParametersGroupsComposite() {
+		return parametersGroupsComposite;
+	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 513)
@@ -12,7 +12,7 @@
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.widgets.TableColumn;
 import org.eclipse.swt.widgets.TableItem;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.utils.logger.Log;
 
 public class TableKeyListener implements KeyListener {
@@ -46,7 +46,7 @@
 		//System.out.println("search in tablein items: "+Arrays.toString(items));
 
 		TableColumn[] cols = viewer.getTable().getColumns();
-		InputDialog dialog = new InputDialog(viewer.getTable().getShell(), "Compute", Messages.TableKeyListener_1, "", null);  //$NON-NLS-1$
+		InputDialog dialog = new InputDialog(viewer.getTable().getShell(), "Compute", RCPMessages.TableKeyListener_1, "", null);  //$NON-NLS-1$
 		if (dialog.open() == Window.OK) {
 			String reg = dialog.getValue();
 			Pattern p = Pattern.compile(reg);
@@ -64,7 +64,7 @@
 					}
 				}
 			}
-			Log.info(Messages.TableKeyListener_0 + matchingIndexes);
+			Log.info(RCPMessages.TableKeyListener_0 + matchingIndexes);
 
 			// TODO: useless ?
 //			int[] indexes = new int[matchingIndexes.size()];
@@ -110,6 +110,6 @@
 			}
 		}
 		org.txm.rcp.utils.IOClipboard.write(str);
-		System.out.println(Messages.TableKeyListener_6+str);
+		System.out.println(RCPMessages.TableKeyListener_6+str);
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/objectexplorer/ObjectExplorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/objectexplorer/ObjectExplorer.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/objectexplorer/ObjectExplorer.java	(revision 513)
@@ -53,7 +53,7 @@
 import org.eclipse.ui.part.EditorPart;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.TxmObject;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMEditorPart;
 import org.txm.rcp.editors.TableKeyListener;
 import org.txm.rcp.editors.input.ObjectExplorerEditorInput;
@@ -144,11 +144,11 @@
 
 		this.parent = parent;
 		parent.setLayout(new GridLayout(2, true));
-		this.setPartName(NLS.bind(Messages.ObjectExplorer_0, txmObject.getName())); 
+		this.setPartName(NLS.bind(RCPMessages.ObjectExplorer_0, txmObject.getName())); 
 
 		// headers
 		Button addcolumnObject = new Button(parent, SWT.PUSH);
-		addcolumnObject.setText(Messages.ObjectExplorer_3);
+		addcolumnObject.setText(RCPMessages.ObjectExplorer_3);
 		addcolumnObject.addSelectionListener(new SelectionListener() {
 
 			@Override
@@ -158,15 +158,15 @@
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				InputDialog dlg = new InputDialog(Display.getCurrent()
-						.getActiveShell(), Messages.ObjectExplorer_4,
-						Messages.ObjectExplorer_5, Messages.ObjectExplorer_7,
+						.getActiveShell(), RCPMessages.ObjectExplorer_4,
+						RCPMessages.ObjectExplorer_5, RCPMessages.ObjectExplorer_7,
 						null);
 				if (dlg.open() == Window.OK) {
 					if (!dlg.getValue().matches("")) //$NON-NLS-1$
 					{
 						// System.out.println("add ok");
 						txmObject.setAttribute(dlg.getValue(),
-								Messages.ObjectExplorer_9);
+								RCPMessages.ObjectExplorer_9);
 						/*
 						 * objectviewer.getTable().dispose(); objectviewer =
 						 * null; createObjectTableViewer();
@@ -179,7 +179,7 @@
 		});
 
 		Button rmvcolumnObject = new Button(parent, SWT.PUSH);
-		rmvcolumnObject.setText(Messages.ObjectExplorer_10);
+		rmvcolumnObject.setText(RCPMessages.ObjectExplorer_10);
 		rmvcolumnObject.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
@@ -188,8 +188,8 @@
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				InputDialog dlg = new InputDialog(Display.getCurrent()
-						.getActiveShell(), Messages.ObjectExplorer_10,
-						Messages.ObjectExplorer_12, "", null); //$NON-NLS-1$ 
+						.getActiveShell(), RCPMessages.ObjectExplorer_10,
+						RCPMessages.ObjectExplorer_12, "", null); //$NON-NLS-1$ 
 				if (dlg.open() == Window.OK) {
 					if (!dlg.getValue().matches("")) //$NON-NLS-1$
 					{
@@ -211,7 +211,7 @@
 		separator.setLayoutData(griddata);
 
 		Button addcolumn = new Button(parent, SWT.PUSH);
-		addcolumn.setText(Messages.ObjectExplorer_15);
+		addcolumn.setText(RCPMessages.ObjectExplorer_15);
 		addcolumn.addSelectionListener(new SelectionListener() {
 
 			@Override
@@ -221,8 +221,8 @@
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				InputDialog dlg = new InputDialog(Display.getCurrent()
-						.getActiveShell(), Messages.ObjectExplorer_4,
-						Messages.ObjectExplorer_5, Messages.ObjectExplorer_7,
+						.getActiveShell(), RCPMessages.ObjectExplorer_4,
+						RCPMessages.ObjectExplorer_5, RCPMessages.ObjectExplorer_7,
 						null);
 				if (dlg.open() == Window.OK) {
 					if (!dlg.getValue().matches("")) //$NON-NLS-1$
@@ -231,7 +231,7 @@
 						for (TXMResult o : txmObject.getResults()) {
 							if (!((TxmObject) o).getMetadatas().keySet().contains(dlg.getValue()))
 								((TxmObject) o).setAttribute(dlg.getValue(),
-										Messages.ObjectExplorer_9);
+										RCPMessages.ObjectExplorer_9);
 						}
 
 						viewer.getTable().dispose();
@@ -244,7 +244,7 @@
 		});
 
 		Button rmvcolumn = new Button(parent, SWT.PUSH);
-		rmvcolumn.setText(Messages.ObjectExplorer_21);
+		rmvcolumn.setText(RCPMessages.ObjectExplorer_21);
 		rmvcolumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
@@ -253,8 +253,8 @@
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				InputDialog dlg = new InputDialog(Display.getCurrent()
-						.getActiveShell(), Messages.ObjectExplorer_10,
-						Messages.ObjectExplorer_12, "", null); //$NON-NLS-1$ 
+						.getActiveShell(), RCPMessages.ObjectExplorer_10,
+						RCPMessages.ObjectExplorer_12, "", null); //$NON-NLS-1$ 
 				if (dlg.open() == Window.OK) {
 					if (!dlg.getValue().matches("")) //$NON-NLS-1$
 					{
@@ -306,7 +306,7 @@
 			return;
 
 		columnsName = new ArrayList<String>();
-		columnsName.add(Messages.ObjectExplorer_26);
+		columnsName.add(RCPMessages.ObjectExplorer_26);
 
 		TxmObject o = (TxmObject) txmObject.getResults().get(0);
 		for (String key : o.getMetadatas().keySet()) {
@@ -366,8 +366,8 @@
 	private void createObjectColumns(TableViewer objectviewer) {
 
 		columnsName = new ArrayList<String>();
-		columnsName.add(Messages.ObjectExplorer_27);
-		columnsName.add(Messages.ObjectExplorer_2);
+		columnsName.add(RCPMessages.ObjectExplorer_27);
+		columnsName.add(RCPMessages.ObjectExplorer_2);
 
 		for (int i = 0; i < columnsName.size(); i++) {
 			TableViewerColumn column = new TableViewerColumn(objectviewer,
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java	(revision 513)
@@ -55,7 +55,7 @@
 import org.txm.objects.Page;
 import org.txm.objects.Text;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
@@ -206,7 +206,7 @@
 			String editionName = corpus.getDefaultEdition();
 			currentPage = firstText.getEdition(editionName).getFirstPage(); 
 			if (currentPage == null) {
-				StatusLine.setMessage(Messages.TxmBrowser_11);
+				StatusLine.setMessage(RCPMessages.TxmBrowser_11);
 				return;
 			}
 			this.setEdition(firstText.getEdition(editionName)); 
@@ -226,7 +226,7 @@
 		if (lastText != null) {
 			currentPage = lastText.getEdition(b.getDefaultEdition()).getFirstPage(); 
 			if (currentPage == null) {
-				StatusLine.setMessage(Messages.TxmBrowser_12);
+				StatusLine.setMessage(RCPMessages.TxmBrowser_12);
 				return;
 			}
 			this.setEdition(lastText.getEdition(b.getDefaultEdition())); 
@@ -313,7 +313,7 @@
 				currentPage = previousText.getEdition(editionName).getFirstPage();
 			}
 			if (currentPage == null) {
-				StatusLine.setMessage(Messages.TxmBrowser_11);
+				StatusLine.setMessage(RCPMessages.TxmBrowser_11);
 				return;
 			}
 			this.setEdition(previousText.getEdition(editionName)); 
@@ -334,7 +334,7 @@
 		if (nextText != null) {
 			currentPage = nextText.getEdition(b.getDefaultEdition()).getFirstPage(); 
 			if (currentPage == null) {
-				StatusLine.setMessage(Messages.TxmBrowser_12);
+				StatusLine.setMessage(RCPMessages.TxmBrowser_12);
 				return;
 			}
 			this.setEdition(nextText.getEdition(b.getDefaultEdition())); 
@@ -352,7 +352,7 @@
 		try {
 			super.createPartControl(parent);
 		} catch (Exception e) {
-			System.err.println(Messages.TxmBrowser_10);
+			System.err.println(RCPMessages.TxmBrowser_10);
 			return;
 		}
 		
@@ -397,17 +397,17 @@
 		firstText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWINDSTART));
 		firstText.setToolTipText("|<<");
 		previousText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWIND));
-		previousText.setToolTipText(Messages.TxmBrowser_9);
+		previousText.setToolTipText(RCPMessages.TxmBrowser_9);
 		first.setImage(IImageKeys.getImage(IImageKeys.CTRLSTART)); 
-		first.setToolTipText(Messages.TxmBrowser_0);
+		first.setToolTipText(RCPMessages.TxmBrowser_0);
 		previous.setImage(IImageKeys.getImage(IImageKeys.CTRLREVERSE));
-		previous.setToolTipText(Messages.TxmBrowser_5);
+		previous.setToolTipText(RCPMessages.TxmBrowser_5);
 		next.setImage(IImageKeys.getImage(IImageKeys.CTRLPLAY));
-		next.setToolTipText(Messages.TxmBrowser_6);
+		next.setToolTipText(RCPMessages.TxmBrowser_6);
 		last.setImage(IImageKeys.getImage(IImageKeys.CTRLEND));
-		last.setToolTipText(Messages.TxmBrowser_7);
+		last.setToolTipText(RCPMessages.TxmBrowser_7);
 		nextText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARD));
-		nextText.setToolTipText(Messages.TxmBrowser_8);
+		nextText.setToolTipText(RCPMessages.TxmBrowser_8);
 		lastText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARDEND));
 		lastText.setToolTipText(">>|");
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 513)
@@ -45,7 +45,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.TXMResult;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.ExecuteImportScript;
 import org.txm.rcp.editors.input.ImportFormEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -135,7 +135,7 @@
 		ExecuteImportScript.getImportScriptFromToolboxPlugin(getGroovyscript()); // always update if script from Toolbox is more recent
 		
 		if (!getGroovyscript().exists()) // just a warning message
-			System.out.println(NLS.bind(Messages.ImportFormEditor_0, getGroovyscript()));
+			System.out.println(NLS.bind(RCPMessages.ImportFormEditor_0, getGroovyscript()));
 	}
 
 	/**
@@ -190,7 +190,7 @@
 	 */
 	@Override
 	public String getPartName() {
-		String name = Messages.bind(Messages.ImportFormEditor_1,ImportModuleCustomization.getName(groovyscript.getName()));
+		String name = RCPMessages.bind(RCPMessages.ImportFormEditor_1,ImportModuleCustomization.getName(groovyscript.getName()));
 		return name;
 	}
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 513)
@@ -17,7 +17,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.imports.ImportModuleCustomization;
 import org.txm.tokenizer.TokenizerClasses;
 import org.w3c.dom.Element;
@@ -40,7 +40,7 @@
 	public TokenizerSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams) {
 		super(toolkit2, form2, parent, style);
 		this.moduleParams = moduleParams;
-		this.section.setText(Messages.MainPage_19);
+		this.section.setText(RCPMessages.MainPage_19);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -86,13 +86,13 @@
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
 		
-		Label l0 = toolkit.createLabel(sectionClient, Messages.CorpusPage_16a, SWT.WRAP);
+		Label l0 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_16a, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 3;
 		gdata.indent = 10;
 		l0.setLayoutData(gdata);
 		
-		Label l1 = toolkit.createLabel(sectionClient, Messages.CorpusPage_5, SWT.WRAP);
+		Label l1 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_5, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 20;
@@ -102,7 +102,7 @@
 		gdata = getLongTextGridData();
 		textWhiteSpaces.setLayoutData(gdata);
 		
-		Label l2 = toolkit.createLabel(sectionClient, Messages.CorpusPage_16, SWT.WRAP);
+		Label l2 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_16, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 20;
@@ -112,7 +112,7 @@
 		gdata = getLongTextGridData();
 		textPuncts.setLayoutData(gdata);
 
-		Label l4 = toolkit.createLabel(sectionClient, Messages.CorpusPage_19, SWT.WRAP);
+		Label l4 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_19, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 10;
@@ -122,7 +122,7 @@
 		gdata = getLongTextGridData();
 		textElisions.setLayoutData(gdata);
 
-		Label l3 = toolkit.createLabel(sectionClient, Messages.CorpusPage_22, SWT.WRAP);
+		Label l3 = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_22, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 10;
@@ -132,7 +132,7 @@
 		gdata = getLongTextGridData();
 		textPunctsStrong.setLayoutData(gdata);
 
-		Button defaultBtn = toolkit.createButton(sectionClient, Messages.CorpusPage_49, SWT.PUSH);
+		Button defaultBtn = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_49, SWT.PUSH);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 10;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 513)
@@ -20,7 +20,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.imports.ImportModuleCustomization;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.w3c.dom.Element;
@@ -48,7 +48,7 @@
 	public EditionSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams, String scriptName) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(Messages.CorpusPage_0);
+		this.section.setText(RCPMessages.CorpusPage_0);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		layout.numColumns = 1;
@@ -70,7 +70,7 @@
 
 
 		// build text edition or not button
-		buildEditionCheckButton = toolkit.createButton(sectionClient, Messages.CorpusPage_44, SWT.CHECK);
+		buildEditionCheckButton = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_44, SWT.CHECK);
 		buildEditionCheckButton.setSelection(true);
 		TableWrapData gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
@@ -79,7 +79,7 @@
 		// words per page -> pageSize
 		Label tmpLabel = null;
 		if (moduleParams.get(ImportModuleCustomization.EDITIONS_WORDSPERPAGE)) {
-			tmpLabel = toolkit.createLabel(sectionClient, Messages.CorpusPage_36);
+			tmpLabel = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_36);
 			tmpLabel.setLayoutData(getLabelGridData());
 
 			wordsPerPageText = toolkit.createText(sectionClient, "500", SWT.BORDER); //$NON-NLS-1$
@@ -89,7 +89,7 @@
 
 		if (moduleParams.get(ImportModuleCustomization.EDITIONS_PAGEELEMENT)) {
 			// page break tag
-			tmpLabel = toolkit.createLabel(sectionClient, Messages.CorpusPage_41);
+			tmpLabel = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_41);
 			tmpLabel.setLayoutData(getLabelGridData());
 			pageBreakText = toolkit.createText(sectionClient, "pb", SWT.BORDER); //$NON-NLS-1$
 			TableWrapData gdata = getTextGridData();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java	(revision 513)
@@ -11,7 +11,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.w3c.dom.Element;
 
 public class UISection extends ImportEditorSection {
@@ -22,7 +22,7 @@
 	public UISection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(Messages.CorpusPage_63);
+		this.section.setText(RCPMessages.CorpusPage_63);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -40,8 +40,8 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 
-		Label tmpLabel = toolkit.createLabel(sectionClient, Messages.CorpusPage_64);
-		tmpLabel.setToolTipText(Messages.CorpusPage_65);
+		Label tmpLabel = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_64);
+		tmpLabel.setToolTipText(RCPMessages.CorpusPage_65);
 		tmpLabel.setLayoutData(getLabelGridData());
 
 		structLimitsText = toolkit.createText(sectionClient, "text", SWT.BORDER); //$NON-NLS-1$
